Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.saml._1_0.protocol
Class StatusCode

    java.lang.Object
      oasis.names.tc.saml._1_0.protocol.StatusCode

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-04-05T05:00:42+02:00",
               comments="JAXB RI v2.3.6")
    public class StatusCode

extends Object
implements Serializable

Java class for StatusCodeType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="StatusCodeType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:oasis:names:tc:SAML:1.0:protocol}StatusCode" minOccurs="0"/>
           </sequence>
           <attribute name="Value" use="required" type="{http://www.w3.org/2001/XMLSchema}QName" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`StatusCode()`

Method Summary
`StatusCode` | `getStatusCode()` Gets the value of the statusCode property.
`QName` | `getValue()` Gets the value of the value property.
`void` | `setStatusCode(StatusCode value)` Sets the value of the statusCode property.
`void` | `setValue(QName value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatusCode

    public StatusCode()

Method Detail

### getStatusCode

    public StatusCode getStatusCode()

  Gets the value of the statusCode property.

  Returns:
    possible object is `StatusCode`

### setStatusCode

    public void setStatusCode(StatusCode value)

  Sets the value of the statusCode property.

  Parameters:
    `value` - allowed object is `StatusCode`

### getValue

    public QName getValue()

  Gets the value of the value property.

  Returns:
    possible object is `QName`

### setValue

    public void setValue(QName value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is `QName`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.26.1 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.